## Radiance animation library

The goal of this project is to provide a powerful and extensible animation library for Java applications.

[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.pushing-pixels/radiance-animation/badge.svg)](https://maven-badges.herokuapp.com/maven-central/org.pushing-pixels/radiance-animation) `radiance-animation` for build instructions of the latest stable release.

### Animation basic concepts

* [Hello world](TimelineOverview.md)
* [Interpolating fields](TimelineInterpolatingFields.md)
* [Timeline life cycle](TimelineLifecycle.md)
* [Duration fraction and timeline position](TimelineAdditionalConfiguration.md)

### Supporting Java UI toolkits

* [Special utilities for UI toolkits](UIToolkitSupport.md)
* [Simple Swing example](SimpleSwingExample.md)
* [More complex Swing example](ParallelSwingTimelines.md)

### Timeline scenarios

* [Timeline scenario introduction](TimelineScenarioIntroduction.md)
* [Timeline scenario Swing example](SimpleTimelineScenario.md)

### Key frames

* [Key frames overview](KeyFrameOverview.md)
* [Key frames Swing example](KeyFrameExample.md)

### Extending the core behavior

* [Extension points](ExtensionPoints.md)
* [Custom pulse source](CustomPulseSource.md)
* [Custom property interpolators](CustomPropertyInterpolators.md)

### Advanced samples

* [Music app](musicapp/overview.md)
