## Components - advanced components for modern Swing applications

The goal of this project is to provide a robust set of additional Swing components that can be used as building blocks for creating modern, rich Swing applications. In addition to providing powerful command button and breadcrumb bar components, it packs an Office Command Bar (ribbon) container that can host a complex hierarchy of flexible, scalable application control surface.

Components is built on top of [Theming](../theming/overview.md). All components are rendered based on the currently set Radiance skin.

[![Maven Central](https://maven-badges.herokuapp.com/maven-central/org.pushing-pixels/radiance-component/badge.svg)](https://maven-badges.herokuapp.com/maven-central/org.pushing-pixels/radiance-component) `radiance-component` for build instructions of the latest stable release.

### Introduction

* [Basic concepts](Intro.md)
* [Sample app](Sample.md)
* [Another sample app](AnotherSample.md)

### Commands

* [Command overview](Command.md)
* [Command projections](CommandProjections.md)
* [Command button presentation models](CommandButtonPresentation.md)
* [Command synchronization](CommandSynchronization.md)

### Models and projections

* [Model and projection overview](ModelProjectionOverview.md)
* [Projection customizations](ProjectionCustomization.md)

### Command-based containers

* [Command strips](CommandStrip.md)
* [Command panels](CommandPanel.md)
* [Command popup menus](CommandPopupMenu.md)
* [Color selector commands and popup menus](ColorSelectorCommand.md)

### Breadcrumb bar

* [Breadcrumb bar](BreadcrumbBar.md)

### Ribbon

* [Overview](RibbonOverview.md)
* [API skeleton](RibbonApiSkeleton.md)
* [Working with command projections](RibbonBandCommandProjections.md)
* [Working with component projections](RibbonBandComponentProjections.md)
* [Working with galleries](RibbonBandGalleries.md)
* [Keytips](RibbonKeytips.md)
* [What happens when you resize the ribbon](RibbonResizing.md)
* [Application menu](RibbonApplicationMenu.md)
* [Anchored commands](RibbonAnchoredCommands.md)
* [Contextual task groups](RibbonContextualTaskGroups.md)
* [Taskbar](RibbonTaskbar.md)
* [Global contextual listener](RibbonContextualListener.md)

### Keyboard

* [Keyboard traversal](KeyboardTraversal.md)
