## Radiance look and feel - dark skins

### Twilight

Available in the `TwilightSkin` and the `RadianceTwilightLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new TwilightSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceTwilightSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceTwilightLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceTwilightLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceTwilightLookAndFeel");`

<p align="left">
<img alt="Twilight" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/twilight1.png" width="340" height="258">
<img alt="Twilight" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/twilight2.png" width="340" height="258">
</p>

### Night Shade

Available in the `NightShadeSkin` and the `RadianceNightShadeLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new NightShadeSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceNightShadeSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceNightShadeLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceNightShadeLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceNightShadeLookAndFeel");`

<p align="left">
<img alt="Night Shade" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/nightshade1.png" width="340" height="258">
<img alt="Night Shade" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/nightshade2.png" width="340" height="258">
</p>

### Magellan

Available in the `MagellanSkin` and the `RadianceMagellanLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new MagellanSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceMagellanSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceMagellanLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceMagellanLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceMagellanLookAndFeel");`

<p align="left">
<img alt="Magellan" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/magellan1.png" width="340" height="258">
<img alt="Magellan" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/magellan2.png" width="340" height="258">
</p>

### Graphite

Available in the `GraphiteSkin` and the `RadianceGraphiteLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new GraphiteSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceGraphiteLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteLookAndFeel");`

<p align="left">
<img alt="Graphite" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphite1.png" width="340" height="258">
<img alt="Graphite" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphite2.png" width="340" height="258">
</p>

### Graphite Chalk

Available in the `GraphiteChalkSkin` and the `RadianceGraphiteChalkLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new GraphiteChalkSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteChalkSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteChalkLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceGraphiteChalkLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteChalkLookAndFeel");`

<p align="left">
<img alt="GraphiteChalk" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphitechalk1.png" width="340" height="258">
<img alt="GraphiteChalk" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphitechalk2.png" width="340" height="258">
</p>

### Graphite Aqua

Available in the `GraphiteAquaSkin` and the `RadianceGraphiteAquaLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new GraphiteAquaSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteAquaSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteAquaLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceGraphiteAquaLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteAquaLookAndFeel");`

<p align="left">
<img alt="GraphiteAqua" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphiteaqua1.png" width="340" height="258">
<img alt="GraphiteAqua" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphiteaqua2.png" width="340" height="258">
</p>

### Graphite Electric

Available in the `GraphiteElectricSkin` and the `RadianceGraphiteElectricLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new GraphiteElectricSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteElectricSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteElectricLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceGraphiteElectricLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteElectricLookAndFeel");`

<p align="left">
<img alt="GraphiteElectric" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphiteelectric1.png" width="340" height="258">
<img alt="GraphiteElectric" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphiteelectric2.png" width="340" height="258">
</p>

### Graphite Gold

Available in the `GraphiteGoldSkin` and the `RadianceGraphiteGoldLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new GraphiteGoldSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteGoldSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteGoldLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceGraphiteGoldLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteGoldLookAndFeel");`

<p align="left">
<img alt="GraphiteGold" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphitegold1.png" width="340" height="258">
<img alt="GraphiteGold" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphitegold2.png" width="340" height="258">
</p>

### Graphite Sienna

Available in the `GraphiteSiennaSkin` and the `RadianceGraphiteSiennaLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new GraphiteSiennaSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteSiennaSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteSiennaLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceGraphiteSiennaLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteSiennaLookAndFeel");`

<p align="left">
<img alt="GraphiteSienna" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphitesienna1.png" width="340" height="258">
<img alt="GraphiteSienna" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphitesienna2.png" width="340" height="258">
</p>

### Graphite Sunset

Available in the `GraphiteSunsetSkin` and the `RadianceGraphiteSunsetLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new GraphiteSunsetSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteSunsetSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteSunsetLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceGraphiteSunsetLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteSunsetLookAndFeel");`

<p align="left">
<img alt="GraphiteSunset" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphitesunset1.png" width="340" height="258">
<img alt="GraphiteSunset" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphitesunset2.png" width="340" height="258">
</p>

### Graphite Glass

Available in the `GraphiteGlassSkin` and the `RadianceGraphiteGlassLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new GraphiteGlassSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteGlassSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteGlassLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceGraphiteGlassLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceGraphiteGlassLookAndFeel");`

<p align="left">
<img alt="GraphiteGlass" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphiteglass1.png" width="340" height="258">
<img alt="GraphiteGlass" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/graphiteglass2.png" width="340" height="258">
</p>

### Raven

Available in the `RavenSkin` and the `RadianceRavenLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new RavenSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceRavenSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceRavenLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceRavenLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceRavenLookAndFeel");`

<p align="left">
<img alt="Raven" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/raven1.png" width="340" height="258">
<img alt="Raven" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/raven2.png" width="340" height="258">
</p>


### Additional skins

Additional skins can be found in the [extras pack](skins-extras.md).
