## Radiance look and feel - extra skins

The following [skins](overview.md) are available in the [extras pack](https://github.com/kirill-grouchnikov/radiance/tree/sunshine/theming-extras) under the `org.pushingpixels.radiance.theming.extras.api.skinpack` package:

### Field of Wheat

Available in the `FieldOfWheatSkin` and the `RadianceFieldOfWheatLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new FieldOfWheatSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.extras.api.skinpack.FieldOfWheatSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceFieldOfWheatLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceFieldOfWheatLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceFieldOfWheatLookAndFeel");`

<p align="left">
<img alt="Field of Wheat" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/fieldofwheat1.png" width="340" height="258">
<img alt="Field of Wheat" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/fieldofwheat2.png" width="340" height="258">
</p>

### Harvest

Available in the `HarvestSkin` and the `RadianceHarvestLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new HarvestSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.extras.api.skinpack.HarvestSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceHarvestLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceHarvestLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceHarvestLookAndFeel");`

<p align="left">
<img alt="Harvest" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/harvest1.png" width="340" height="258">
<img alt="Harvest" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/harvest2.png" width="340" height="258">
</p>

### Magma

Available in the `MagmaSkin` and the `RadianceMagmaLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new MagmaSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.extras.api.skinpack.MagmaSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceMagmaLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceMagmaLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceMagmaLookAndFeel");`

<p align="left">
<img alt="Magma" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/magma1.png" width="340" height="258">
<img alt="Magma" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/magma2.png" width="340" height="258">
</p>

### Office Black 2007

Available in the `OfficeBlack2007Skin` and the `RadianceOfficeBlack2007LookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new OfficeBlack2007Skin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.extras.api.skinpack.OfficeBlack2007Skin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceOfficeBlack2007LookAndFeel`
* `UIManager.setLookAndFeel(new RadianceOfficeBlack2007LookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceOfficeBlack2007LookAndFeel");`

<p align="left">
<img alt="Office Black 2007" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/officeblack20071.png" width="340" height="258">
<img alt="Office Black 2007" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/officeblack20072.png" width="340" height="258">
</p>

### Office Blue 2007

Available in the `OfficeBlue2007Skin` and the `RadianceOfficeBlue2007LookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new OfficeBlue2007Skin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.extras.api.skinpack.OfficeBlue2007Skin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceOfficeBlue2007LookAndFeel`
* `UIManager.setLookAndFeel(new RadianceOfficeBlue2007LookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceOfficeBlue2007LookAndFeel");`

<p align="left">
<img alt="Office Blue 2007" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/officeblue20071.png" width="340" height="258">
<img alt="Office Blue 2007" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/officeblue20072.png" width="340" height="258">
</p>

### Office Silver 2007

Available in the `OfficeSilver2007Skin` and the `RadianceOfficeSilver2007LookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new OfficeSilver2007Skin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.extras.api.skinpack.OfficeSilver2007Skin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceOfficeSilver2007LookAndFeel`
* `UIManager.setLookAndFeel(new RadianceOfficeSilver2007LookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceOfficeSilver2007LookAndFeel");`

<p align="left">
<img alt="Office Silver 2007" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/officesilver20071.png" width="340" height="258">
<img alt="Office Silver 2007" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/officesilver20072.png" width="340" height="258">
</p>

### Streetlights

Available in the `StreetlightsSkin` and the `RadianceStreetlightsLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new StreetlightsSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.extras.api.skinpack.StreetlightsSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceStreetlightsLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceStreetlightsLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceStreetlightsLookAndFeel");`

<p align="left">
<img alt="Streetlights" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/streetlights1.png" width="340" height="258">
<img alt="Streetlights" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/streetlights2.png" width="340" height="258">
</p>
