## Radiance look and feel - toned down skins

### Business

Available in the `BusinessSkin` and the `RadianceBusinessLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new BusinessSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceBusinessSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceBusinessLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceBusinessLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceBusinessLookAndFeel");`

<p align="left">
<img alt="Business" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/business1.png" width="340" height="258">
<img alt="Business" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/business2.png" width="340" height="258">
</p>

### Business Blue Steel

Available in the `BusinessBlueSteelSkin` and the `RadianceBusinessBlueSteelLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new BusinessBlueSteelSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceBusinessBlueSteelSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceBusinessBlueSteelLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceBusinessBlueSteelLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceBusinessBlueSteelLookAndFeel");`

<p align="left">
<img alt="BusinessBlueSteel" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/businessbluesteel1.png" width="340" height="258">
<img alt="BusinessBlueSteel" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/businessbluesteel2.png" width="340" height="258">
</p>

### Business Black Steel

Available in the `BusinessBlackSteelSkin` and the `RadianceBusinessBlackSteelLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new BusinessBlackSteelSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceBusinessBlackSteelSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceBusinessBlackSteelLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceBusinessBlackSteelLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceBusinessBlackSteelLookAndFeel");`

<p align="left">
<img alt="BusinessBlackSteel" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/businessblacksteel1.png" width="340" height="258">
<img alt="BusinessBlackSteel" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/businessblacksteel2.png" width="340" height="258">
</p>

### Creme

Available in the `CremeSkin` and the `RadianceCremeLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new CremeSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceCremeSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceCremeLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceCremeLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceCremeLookAndFeel");`

<p align="left">
<img alt="Creme" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/creme1.png" width="340" height="258">
<img alt="Creme" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/creme2.png" width="340" height="258">
</p>

### Creme Coffee

Available in the `CremeCoffeeSkin` and the `RadianceCremeCoffeeLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new CremeCoffeeSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceCremeCoffeeSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceCremeCoffeeLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceCremeCoffeeLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceCremeCoffeeLookAndFeel");`

<p align="left">
<img alt="CremeCoffee" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/cremecoffee1.png" width="340" height="258">
<img alt="CremeCoffee" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/cremecoffee2.png" width="340" height="258">
</p>

### Sahara

Available in the `SaharaSkin` and the `RadianceSaharaLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new SaharaSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceSaharaSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceSaharaLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceSaharaLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceSaharaLookAndFeel");`

<p align="left">
<img alt="Sahara" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/sahara1.png" width="340" height="258">
<img alt="Sahara" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/sahara2.png" width="340" height="258">
</p>

### Moderate

Available in the `ModerateSkin` and the `RadianceModerateLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new ModerateSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceModerateSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceModerateLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceModerateLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceModerateLookAndFeel");`

<p align="left">
<img alt="Moderate" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/moderate1.png" width="340" height="258">
<img alt="Moderate" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/moderate2.png" width="340" height="258">
</p>

### Nebula

Available in the `NebulaSkin` and the `RadianceNebulaLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new NebulaSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceNebulaSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceNebulaLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceNebulaLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceNebulaLookAndFeel");`

<p align="left">
<img alt="Nebula" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/nebula1.png" width="340" height="258">
<img alt="Nebula" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/nebula2.png" width="340" height="258">
</p>

### Nebula Amethyst

Available in the `NebulaAmethystSkin` and the `RadianceNebulaAmethystLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new NebulaAmethystSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceNebulaAmethystSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceNebulaAmethystLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceNebulaAmethystLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceNebulaAmethystLookAndFeel");`

<p align="left">
<img alt="Nebula Amethyst" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/nebulaamethyst1.png" width="340" height="258">
<img alt="Nebula Amethyst" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/nebulaamethyst2.png" width="340" height="258">
</p>

### Nebula Brick Wall

Available in the `NebulaBrickWallSkin` and the `RadianceNebulaBrickWallLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new NebulaBrickWallSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceNebulaBrickWallSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceNebulaBrickWallLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceNebulaBrickWallLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceNebulaBrickWallLookAndFeel");`

<p align="left">
<img alt="NebulaBrickWall" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/nebulabrickwall1.png" width="340" height="258">
<img alt="NebulaBrickWall" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/nebulabrickwall2.png" width="340" height="258">
</p>

### Autumn

Available in the `AutumnSkin` and the `RadianceAutumnLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new AutumnSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceAutumnSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceAutumnLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceAutumnLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceAutumnLookAndFeel");`

<p align="left">
<img alt="Autumn" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/autumn1.png" width="340" height="258">
<img alt="Autumn" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/autumn2.png" width="340" height="258">
</p>

### Mist Silver

Available in the `MistSilverSkin` and the `RadianceMistSilverLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new MistSilverSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceMistSilverSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceMistSilverLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceMistSilverLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceMistSilverLookAndFeel");`

<p align="left">
<img alt="MistSilver" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/mistsilver1.png" width="340" height="258">
<img alt="MistSilver" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/mistsilver2.png" width="340" height="258">
</p>

### Mist Aqua

Available in the `MistAquaSkin` and the `RadianceMistAquaLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new MistAquaSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceMistAquaSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceMistAquaLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceMistAquaLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceMistAquaLookAndFeel");`

<p align="left">
<img alt="MistAqua" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/mistaqua1.png" width="340" height="258">
<img alt="MistAqua" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/mistaqua2.png" width="340" height="258">
</p>

### Dust

Available in the `DustSkin` and the `RadianceDustLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new DustSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceDustSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceDustLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceDustLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceDustLookAndFeel");`

<p align="left">
<img alt="Dust" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/dust1.png" width="340" height="258">
<img alt="Dust" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/dust2.png" width="340" height="258">
</p>

### Dust Coffee

Available in the `DustCoffeeSkin` and the `RadianceDustCoffeeLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new DustCoffeeSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceDustCoffeeSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceDustCoffeeLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceDustCoffeeLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceDustCoffeeLookAndFeel");`

<p align="left">
<img alt="DustCoffee" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/dustcoffee1.png" width="340" height="258">
<img alt="DustCoffee" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/dustcoffee2.png" width="340" height="258">
</p>

### Gemini

Available in the `GeminiSkin` and the `RadianceGeminiLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new GeminiSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceGeminiSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceGeminiLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceGeminiLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceGeminiLookAndFeel");`

<p align="left">
<img alt="Gemini" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/gemini1.png" width="340" height="258">
<img alt="Gemini" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/gemini2.png" width="340" height="258">
</p>

### Mariner

Available in the `MarinerSkin` and the `RadianceMarinerLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new MarinerSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceMarinerSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceMarinerLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceMarinerLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceMarinerLookAndFeel");`

<p align="left">
<img alt="Mariner" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/mariner1.png" width="340" height="258">
<img alt="Mariner" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/mariner2.png" width="340" height="258">
</p>

### Sentinel

Available in the `SentinelSkin` and the `RadianceSentinelLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new SentinelSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceSentinelSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceSentinelLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceSentinelLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceSentinelLookAndFeel");`

<p align="left">
<img alt="Sentinel" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/sentinel1.png" width="340" height="258">
<img alt="Sentinel" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/sentinel2.png" width="340" height="258">
</p>

### Cerulean

Available in the `CeruleanSkin` and the `RadianceCeruleanLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new CeruleanSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceCeruleanSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceCeruleanLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceCeruleanLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceCeruleanLookAndFeel");`

<p align="left">
<img alt="Cerulean" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/cerulean1.png" width="340" height="258">
<img alt="Cerulean" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/cerulean2.png" width="340" height="258">
</p>

### Green Magic

Available in the `GreenMagicSkin` and the `RadianceGreenMagicLookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new GreenMagicSkin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.api.skin.RadianceGreenMagicSkin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.api.skin.RadianceGreenMagicLookAndFeel`
* `UIManager.setLookAndFeel(new RadianceGreenMagicLookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.api.skin.RadianceGreenMagicLookAndFeel");`

<p align="left">
<img alt="Green Magic" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/greenmagic1.png" width="340" height="258">
<img alt="Green Magic" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming/skins/greenmagic2.png" width="340" height="258">
</p>


## Office 2007 skins

Note that while these skins were originally designed for the [Radiance ribbon component](../../component/overview.md), they can be used in regular Swing applications as any other Radiance skin. Since version 2.0 of Radiance, these skins are part of the [extras pack](skins-extras.md).

### Office Silver 2007

Available in the `OfficeSilver2007Skin` and the `RadianceOfficeSilver2007LookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new OfficeSilver2007Skin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceOfficeSilver2007Skin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.theming.extras.api.skinpack.RadianceOfficeSilver2007LookAndFeel`
* `UIManager.setLookAndFeel(new RadianceOfficeSilver2007LookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceOfficeSilver2007LookAndFeel");`

<p align="left">
<img alt="Office Silver 2007" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/officesilver20071.png" width="340" height="258">
<img alt="Office Silver 2007" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/officesilver20072.png" width="340" height="258">
</p>

### Office Blue 2007

Available in the `OfficeBlue2007Skin` and the `RadianceOfficeBlue2007LookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new OfficeBlue2007Skin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.theming.extras.api.skinpack.RadianceOfficeBlue2007Skin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.theming.extras.api.skinpack.RadianceOfficeBlue2007LookAndFeel`
* `UIManager.setLookAndFeel(new RadianceOfficeBlue2007LookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceOfficeBlue2007LookAndFeel");`

<p align="left">
<img alt="Office Blue 2007" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/officeblue20071.png" width="340" height="258">
<img alt="Office Blue 2007" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/officeblue20072.png" width="340" height="258">
</p>

### Office Black 2007

Available in the `OfficeBlack2007Skin` and the `RadianceOfficeBlack2007LookAndFeel` APIs, can be used with one of the following options:

* `RadianceThemingCortex.GlobalScope.setSkin(new OfficeBlack2007Skin())`
* `RadianceThemingCortex.GlobalScope.setSkin("org.pushingpixels.radiance.theming.theming.extras.api.skinpack.RadianceOfficeBlack2007Skin")`
* `-Dswing.defaultlaf=org.pushingpixels.radiance.theming.theming.extras.api.skinpack.RadianceOfficeBlack2007LookAndFeel`
* `UIManager.setLookAndFeel(new RadianceOfficeBlack2007LookAndFeel())`
* `UIManager.setLookAndFeel("org.pushingpixels.radiance.theming.extras.api.skinpack.RadianceOfficeBlack2007LookAndFeel");`

<p align="left">
<img alt="Office Black 2007" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/officeblack20071.png" width="340" height="258">
<img alt="Office Black 2007" src="https://raw.githubusercontent.com/kirill-grouchnikov/radiance/sunshine/docs/images/theming-extras/skins/officeblack20072.png" width="340" height="258">
</p>

### Additional skins

Additional skins can be found in the [extras pack](skins-extras.md).
